package com.muyu.openbusiness.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 电子围栏对象 sys_corpuscle_fence
 *
 * @author muyu
 * @date 2024-09-17
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_corpuscle_fence")
public class SysCorpuscle{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 围栏编码 */
    @Excel(name = "围栏编码")
    private String fenceCode;

    /** 围栏名称 */
    @Excel(name = "围栏名称")
    private String fenceName;

    /** 围栏类型(1.驶入 2.驶出) */
    @Excel(name = "围栏类型(1.驶入 2.驶出)")
    private Long fenceType;

    /** 围栏位置 */
    @Excel(name = "围栏位置")
    private String fencePosition;

    /** 启用状态(1.启用 2.停用) */
    @Excel(name = "启用状态(1.启用 2.停用)")
    private String state;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fenceCode", getFenceCode())
            .append("fenceName", getFenceName())
            .append("fenceType", getFenceType())
            .append("fencePosition", getFencePosition())
            .append("state", getState())
            .toString();
    }
}
